/**
 * Copyright (c) 2020 人人开源 All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.service;

import com.roo.commons.mybatis.service.BaseService;
import com.roo.entity.TableFieldEntity;

import java.util.List;

/**
 * 列
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface TableFieldService extends BaseService<TableFieldEntity> {

    List<TableFieldEntity> getByTableName(String tableName);

    void deleteByTableName(String tableName);

    void deleteBatchTableIds(Long[] tableIds);
}